Package com.xebialabs.xlrelease.domain.delivery

## Class TrackedItem

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.delivery.TrackedItem

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false)
      public class TrackedItem
      extends BaseConfigurationItem

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TrackedItem()` |
    `TrackedItem​(java.lang.String title)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addReleaseId​(java.lang.String releaseId)` |
    `java.util.Date` | `getCreatedDate()` |
    `java.util.Date` | `getModifiedDate()` |
    `java.util.Set<java.lang.String>` | `getReleaseIds()` |
    `java.lang.String` | `getTitle()` |
    `boolean` | `isDescoped()` |
    `void` | `setCreatedDate​(java.util.Date createdDate)` |
    `void` | `setDescoped​(boolean descoped)` |
    `void` | `setModifiedDate​(java.util.Date modifiedDate)` |
    `void` | `setReleaseIds​(java.util.Set<java.lang.String> releaseIds)` |
    `void` | `setTitle​(java.lang.String title)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackedItem

          public TrackedItem()

    - #### TrackedItem

          public TrackedItem​(java.lang.String title)

  - ### Method Detail

    - #### addReleaseId

          public boolean addReleaseId​(java.lang.String releaseId)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getReleaseIds

          public java.util.Set<java.lang.String> getReleaseIds()

    - #### setReleaseIds

          public void setReleaseIds​(java.util.Set<java.lang.String> releaseIds)

    - #### isDescoped

          public boolean isDescoped()

    - #### setDescoped

          public void setDescoped​(boolean descoped)

    - #### getCreatedDate

          public java.util.Date getCreatedDate()

    - #### setCreatedDate

          public void setCreatedDate​(java.util.Date createdDate)

    - #### getModifiedDate

          public java.util.Date getModifiedDate()

    - #### setModifiedDate

          public void setModifiedDate​(java.util.Date modifiedDate)